<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "SEO" - Search Engine Optimization and Analytics      |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 1.2b / November 2013 ==

*/

if (!defined('CPO')) exit;
$translator->addTranslation('SEO', CPO_BASEDIR.$moduleDirectory.'/lang');

$GLOBALS['modules']['SEO'] = array(
    'directory' => $moduleDirectory,
    'caption'   => ___('Search Engine Optimization and Analytics'),
    'URL'       => '',
    'install'   => 'function: seo_install',
    'activate'  => 'function: seo_activate',
    'deactivate'=> 'function: seo_deactivate',
    'uninstall' => 'function: seo_uninstall '.$moduleDirectory,
    'manage'	=> 'function: seo_manage',
	'installed' => time(),
	'owner'		=> $cpoSystem['owner'],
	'lkey'		=> '',
	'mod_id'	=> 20,
	'rubricsUse'=> 'off',
	'rubrics'	=> array(),
	'max_keywords'	=> 10,
	'max_searchstrings'	=> '',
	'modSearchDir'	=> 'mod_search',
	'hints'		=> 'yes',
	'getGoogle'	=> 'yes',
	'helptoc'	=> array(
		'bersicht' 
			=> 'http://manual.conpresso4.de/SEO/index.htm',
		'1. Was macht das Modul "SEO"?' 
			=> 'http://manual.conpresso4.de/SEO/features.htm',
		'2. Installation' 
			=> 'http://manual.conpresso4.de/SEO/setup.htm',
		'3. Einstellungen' 
			=> 'http://manual.conpresso4.de/SEO/settings.htm',
		'4. Analyse' 
			=> 'http://manual.conpresso4.de/SEO/analysis.htm'
			)
	);

function log_SEO()  {
	global $cpoSystem;
	@mail('kontakt@conpresso4.de','Das Modul SEO 1.2b wurde unter '.BASE_ABS.' installiert','','From: '.$cpoSystem['admin_email']);
}

function seo_install()
{
	$SEOdb = new DB;
	$SEOdb->query("INSERT INTO ".CPO_OPTION." (type, options, id) VALUES ('SEO', '".serialize(array("installed"=>time()))."', '') ");
	log_SEO();
    $GLOBALS['message'][] = ___('The SEO module was successfully installed!');
}
function seo_uninstall($moduleDirectory)
{
	 global $translator;
	 $GLOBALS['message'][] = sprintf(__('The SEO module was successfully removed from the ConPresso system. Please remove the module directory <i>%s</i> to finally uninstall the SEO module!'),$moduleDirectory);

}
function seo_activate()
{
    $GLOBALS['message'][] = ___('The SEO module got activated.');
}

function seo_deactivate()
{
    $GLOBALS['message'][] = ___('Das Modul SEO wurde deaktiviert.');
}

function seo_manage()
{
	global $dbPrefix, $db, $k, $module_status;
	if(array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE)  {
		echo '<a href="'.BASE_ABS.$GLOBALS['modules']['SEO']['directory'].'/edit.php"><img src="'.SKIN_URL.'pic_edit.gif" title="'.__('SEO analysis').'" alt="'.__('SEO analysis').'"></a>';
		echo '<a href="'.BASE_ABS.$GLOBALS['modules']['SEO']['directory'].'/settings.php"><img src="'.SKIN_URL.'pic_settings.gif" title="'.__('settings').'" alt="'.__('settings').'"></a>';
	} else {
		echo '<img src="'.SKIN_URL.'pic_shade.gif" class="pic_" style="background: url('.SKIN_URL.'pic_edit.gif);" alt="'.  __('not available').'" title="'.__('not available').'">';
		echo '<img src="'.SKIN_URL.'pic_shade.gif" class="pic_" style="background: url('.SKIN_URL.'pic_settings.gif);" alt="'.  __('not available').'" title="'.__('not available').'">';
	}
}

if (!$activeModules['SEO']['installed'])  {
	$SEOdb = new DB;
	$SEOdb->query('SELECT options FROM '.CPO_OPTION.' '
			  ."WHERE type='SEO' ORDER BY id ASC LIMIT 0,1");
	while ($SEOdb->next_record()) {
		$options = $SEOdb->v('options');
		$SEOOpt = unserialize($options);
		if (!is_array($SEOOpt)) break;
		foreach ($SEOOpt as $key=>$v) {
			$activeModules['SEO'][$key] = $v;
		}
	}
}

if (	license($activeModules['SEO']['lkey'],$activeModules['SEO']['mod_id']) != 1 &&
		license($activeModules['SEO']['lkey'],$activeModules['SEO']['mod_id']) != 3 &&
		$activeModules['SEO']['installed']<(time()-90*24*60*60) && 
		!isset($_POST['go']) &&
		@file_exists(CPO_BASEDIR.$activeModules['SEO']['directory'].'/producer.inc.php')
	) 
	{
	if (@file_exists(CPO_BASEDIR.$activeModules['SEO']['directory'].'/producer.inc.php')) include(CPO_BASEDIR.$activeModules['SEO']['directory'].'/producer.inc.php');
	$message['license'] = '<strong>'.sprintf(___('Your 90 days %s evaluation period has expired!'),
		htmlspecialchars($MOD['product'])).'</strong> ';
	$seobreak = true;
}

if (!$seobreak) {
	// das hier wird nun immer passieren!
	$searchPhrasesString = $activeModules['SEO']['keywords'];

	$searchPhrases = explode("\n",trim($searchPhrasesString));
	$q_links = array();
	foreach ($searchPhrases AS $q) {
		$q_links[] = '<a href="../'.$activeModules['SEO']['modSearchDir'].'/index.php?action=search&rubric='.$_REQUEST['rubric'].'&q='.urlencode(trim($q)).'" title="'.trim($q).'">'.trim($q).'</a>';
		$q_strings[] = trim($q);
	}

	shuffle($q_strings);
	shuffle($q_links);

	$max_keywords = ($activeModules['SEO']['max_keywords']) ? min($activeModules['SEO']['max_keywords'], count($q_strings)) : count($q_strings);
	$max_links = ($activeModules['SEO']['max_searchstrings']) ? min($activeModules['SEO']['max_searchstrings'], count($q_links)) : count($q_links);

	for ($c=0;$c<$max_keywords;$c++) $q_twenty_keywords[] = $q_strings[$c];
	$mod_SEO_keywords = implode ( ", ",$q_twenty_keywords);

	for ($c=0;$c<$max_links;$c++) $q_twenty_links[] = $q_links[$c];
	$mod_SEO_keyword_searches = implode ( ", ",$q_twenty_links);

	$mod_SEO_randomKeyword = trim($searchPhrases[rand(0,count($searchPhrases)-1)]);

	// the CPO4.1 PageTemplate-Functions
	function cpoPageModSEOkeywords()        { global $mod_SEO_keywords; return $mod_SEO_keywords; }
	function cpoPageModSEOkeywordSearches() { global $mod_SEO_keyword_searches; return $mod_SEO_keyword_searches; }
	function cpoPageModSEOrandomKeyword()   { global $mod_SEO_randomKeyword; return $mod_SEO_randomKeyword; }
}
?>