<?php 
/*
+------------------------------------------------------------------------+
| ConPresso-Module "SEO" - Search Engine Optimization and Analytics      |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 1.2b / November 2013 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

$directory = basename(dirname($_SERVER['PHP_SELF'])); 

require(CPO_BASEDIR.'_include/check.php');
require(CPO_BASEDIR.'_include/header.php');

if (!function_exists('modHelp'))  {
	function modHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}
?>
  <script type="text/javascript">
  <!--
	var request = false;
	var containerID = false;

	// Request senden
	function setRequest(action,site,keyword,container) {
		// Request erzeugen
		if (window.XMLHttpRequest) {
			request = new XMLHttpRequest(); // Mozilla, Safari, Opera
		} else if (window.ActiveXObject) {
			try {
				request = new ActiveXObject('Msxml2.XMLHTTP'); // IE 5
			} catch (e) {
				try {
					request = new ActiveXObject('Microsoft.XMLHTTP'); // IE 6
				} catch (e) {}
			}
		}

		// berprfen, ob Request erzeugt wurde
		if (!request) {
			alert("Kann keine XMLHTTP-Instanz erzeugen");
			return false;
		} else {
			var url = "mod_SEO.php";
			// Request ffnen
			request.open('POST', url, true);
			// Requestheader senden
			request.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
			// Request senden
			request.send('request='+action+'&keyword='+keyword+'&site='+site);
			// Request auswerten
			containerID = container;
			request.onreadystatechange = interpretRequest;
		}
	}

	// Request auswerten
	function interpretRequest() {
		switch (request.readyState) {
			// wenn der readyState 4 und der request.status 200 ist, dann ist alles korrekt gelaufen
			case 4:
				if (request.status != 200) {
					alert("Der Request wurde abgeschlossen, ist aber nicht OK\nFehler:"+request.status);
				} else {
					var content = request.responseText;
					// den Inhalt des Requests in das <div> schreiben
					document.getElementById(containerID).innerHTML = content;
				}
				break;
			default:
				break;
		}
	}
  //-->
  </script>

<?php
printPageHeader(
    __('Search Engine Optimization and Analytics'),
    __('In this view you analyze your keywords.'),
	modHelp('analysis','SEO'),
	true,
	'modules'
);

if (!$activeModules['SEO']['keywords'])  {
	$message[] = __('<b>No keywords</b> were defined yet. Please fill in some keywords in the <a href="./settings.php">settings</a>.');
	include(CPO_BASEDIR.'_include/message.php');
	include('./producer.inc.php');
} elseif ($seobreak)  {
	include(CPO_BASEDIR.'_include/message.php');
} else {
	include('./producer.inc.php');
	if ($activeModules['SEO']['hints']=="yes") {
		$message[] = __('<b>Notice:</b><br />Keywords should reflect whats going on on your website. Otherwise users and search engines find a website dealing with "the", "and", "have" and so on, because these words are used very often.<br />If you want to be found for certain keywords (e.g. you are the worlds best manufacturer for this), then you should use these words at least once on every page in full sentences.<br />Please check this list!<br />The pagerank and positions are taken from Google. The results will differ from the result in your browser because no javascript, no cookies, no history and no settings are used. The result in your browser should be better.');
		include(CPO_BASEDIR.'_include/message.php');
	}
	$homepage = $activeModules['SEO']['URL'];
	if (preg_match('=auto/?=i', $homepage) || empty($homepage)) {
		$homepage = $auto_base_url;
	}

	function google_position($keyword, $url) 
	{ 
		$query = $keyword; 
		if (!$query) die("Kein Query"); 
		if ($url{(strlen($url))-1} == "/") $url = substr($url, 0, strlen($url)-1); 
		$query = rawurlencode($query); 

		$aufruf = "http://www.google.de/search?q=" . $query . "&num=100&start=0&ie=UTF-8&oe=UTF-8"; 
		$seiteninhalt=implode("", file($aufruf)); 

	//	echo htmlspecialchars($seiteninhalt, ENT_COMPAT, 'ISO-8859-15');

		preg_match_all('/<li([^>]*)class="g"([^>]*)>(.*?)<a([^>]*)href="\/url\?q=(.*?)([^>]*)>(.*?)<\/a>(.*?)<\/li>/is', $seiteninhalt, $ergebnis); 

		$ergebnisse = array(); 
		$positionen = array(); 
		$count = 0; 

		while($count < 100) 
		{ 
		$ergebnisse[] = array(
			"platz" => $count + 1, 
			"url" => $ergebnis[6][$count]
			); 


		$hurl = $ergebnis[6][$count]; 
		if ($hurl{(strlen($hurl))-1} == "/") $hurl = substr($hurl, 0, strlen($hurl)-1); 
		$positionen[] = substr($hurl,0,strlen($url)); 
		$count++; 
		} 

	//	print_r ($ergebnisse);
		$position = array_keys($positionen, $url); 
		return ($position[0]) ? intval($position[0]) + 1 : '>100'; 
	//	return $seiteninhalt; 
	} 

	/**
	 * PageRank Lookup (Based on Google Toolbar for Mozilla Firefox)
	 *
	 * @copyright   2012 HM2K <hm2k@php.net>
	 * @link        http://pagerank.phurix.net/
	 * @author      James Wade <hm2k@php.net>
	 * @version     $Revision: 2.1 $
	 * @require     PHP 4.3.0 (file_get_contents)
	 * @updated		06/10/11
	 */

	function GetPageRank($q,$host='toolbarqueries.google.com',$context=NULL) {
		$seed = "Mining PageRank is AGAINST GOOGLE'S TERMS OF SERVICE. Yes, I'm talking to you, scammer.";
		$result = 0x01020345;
		$len = strlen($q);
		for ($i=0; $i<$len; $i++) {
			$result ^= ord($seed{$i%strlen($seed)}) ^ ord($q{$i});
			$result = (($result >> 23) & 0x1ff) | $result << 9;
		}
		if (PHP_INT_MAX != 2147483647) { $result = -(~($result & 0xFFFFFFFF) + 1); }
		$ch=sprintf('8%x', $result);
		$url='http://%s/tbr?client=navclient-auto&ch=%s&features=Rank&q=info:%s';
		$url=sprintf($url,$host,$ch,$q);
		@$pr=file_get_contents($url,false,$context);
		return $pr?substr(strrchr($pr, ':'), 1):false;
	}

	//Example usage:

	//echo GetPageRank($homepage).'<hr />'; 
	//eof

	$exclude_rubrics = array (
		'Links'
		);
	if (!empty($exclude_rubrics)) $rubric_not_in = " AND r.name NOT IN ('".implode("','",$exclude_rubrics)."') ";

	/*
	'.__('text').'
	*/

	if ($activeModules['SEO']['hints']=="yes") {
		// Erklrung
		echo '<table class="colored"><tr><td><b>'.__('Kind of match').'</b></td><td><b>'.__('Explanation').'</b></td></tr>';

		echo '<tr><td nowrap="nowrap">'.__('Full matches count').'</td><td>'.__('Specifies how often the <b>exact search phrase</b> is found on the website. <b>Highest Search Engine Relevance</ b>').'</td></tr>';
		echo '<tr><td nowrap="nowrap">'.__('Full matches articles').'</td><td>'.__('Specifies the exact number of articles where the <b>search phrase</b> is included. The closer this value is to the number of articles, the more pages (index.php and detail.php) produce results. A value higher than the number of articles means that statistically the search term appears once or several times on each side, thus a <b>very high relevance</b>.').'</td></tr>';
		echo '<tr><td nowrap="nowrap">'.__('Full matches rubrics').'</td><td>'.__('Specifies the exact number of rubrics where the <b>search phrase</b> is included. This should correspond to at least the number of rubrics. A value higher than the number of rubrics means that statistically the search term appears once or several times on each side, thus a <b>higher relevance</b>.').'</td></tr>';

		echo '<tr><td nowrap="nowrap">'.__('Multiple matches count').'</td><td>'.__('Specifies how often <b>all single words of the search</b> together (not necessarily directly related) appear on the site. <b>High search engine relevance!</b>').'</td></tr>';
		echo '<tr><td nowrap="nowrap">'.__('Multiple matches articles').'</td><td>'.__('Specifies how many articles contain <b>all individual words of the search</b>.').'</td></tr>';
		echo '<tr><td nowrap="nowrap">'.__('Multiple matches rubrics').'</td><td>'.__('Specifies how many rubrics contain <b>all individual words of the search</b>.').'</td></tr>';

		echo '<tr><td nowrap="nowrap">'.__('Single match count').'</td><td>'.__('Specifies how often, at least one of the <b>keywords</b> has been found.').'</td></tr>';
		echo '<tr><td nowrap="nowrap">'.__('Single match articles').'</td><td>'.__('Specifies how many articles contain <b>at least one word of the search</b>.').'</td></tr>';
		echo '<tr><td nowrap="nowrap">'.__('Single match rubrics').'</td><td>'.__('Specifies how many rubrics contain <b>at least one word of the search</b>.').'</td></tr>';

		echo '</table>';
	}
	// Rubrikeneinschrnkung
	$qrubrics = '';
	if (isset($activeModules['SEO']['rubrics']) && $activeModules['SEO']['rubricsUse'] != 'off') {
		$qrubrics = 'AND n.rubric_id '.$activeModules['SEO']['rubricsUse'].' (';
		$c = '';
		foreach ($activeModules['SEO']['rubrics'] as $v) {
			$qrubrics .= $c.(int)$v;
			$c = ', ';
		}
		$qrubrics .= ') ';
	}

	if (!isset($activeModules['SEO']['rubrics']) 
		&& $activeModules['SEO']['rubricsUse'] != 'off') {
		$qrubrics = 'AND n.rubric_id '.$activeModules['SEO']['rubricsUse'].' (0)';
	}


	// Online-Artikel WHERE-Clause
	$jetzt  = date('Y-m-d H:i:s',time());
	$articlestates = $cpoSystem['release'] 
		? 'artikel_archiv<2 AND freigabe='.STATE_RELEASED.' ' 
		: 'artikel_archiv<1 AND freigabe!='.STATE_BLOCKED.' ';
	$where = " WHERE ".$articlestates." AND pub_datum < '".$jetzt."' AND verfallsdatum > '".$jetzt."' AND r.seclevel = 0 AND r.id=n.rubric_id ".$qrubrics;

	// Gesamtzahlen ermitteln
	// offene Rubriken
	$query = "SELECT COUNT(*) FROM ".CPO_RUBRIC." WHERE seclevel = 0 ";
	DEBUG(1, $query, __FILE__, __LINE__);
	$db->query($query);
	$db->next_record();
	$cpo_counter_publicrubrics = $db->v('COUNT(*)');

	// Artikel Online
	$query = "SELECT COUNT(*) FROM ".CPO_RUBRIC." AS r, ".CPO_NEWS." AS n ".$where;
	DEBUG(2, $query, __FILE__, __LINE__);
	$db->query($query);
	$db->next_record();
	$cpo_counter_ArticleOnline = $db->v('COUNT(*)');


	if ($activeModules['SEO']['getGoogle']=="yes") {
		// Pagerank
		$message[] = sprintf(__('The pagerank of the website <em>%s</em> is %s (max. 10).'),$homepage,'<span id="SEOpagerank"><img src="load.gif" /></span>');
		include(CPO_BASEDIR.'_include/message.php');
	}

	// Tabellenanfang
	echo '<table class="ruler" style="width:100%;page-break-before:always;">';
	echo '<tr><td>'.__('Total').'</td><td> </td><td><center>' 
	. $cpo_counter_ArticleOnline . '</center></td><td><center>' 
	. $cpo_counter_publicrubrics . '</center></td><td> </td><td><center>' 
	. $cpo_counter_ArticleOnline . '</center></td><td><center>'
	. $cpo_counter_publicrubrics . '</center></td><td> </td><td><center>' 
	. $cpo_counter_ArticleOnline . '</center></td><td><center>'
	. $cpo_counter_publicrubrics . '</center></td></tr>';

	echo '<tr>
	<td> </td>
	<td colspan="3"><center><b>'.__('Full match').'</b></center></td>
	<td colspan="3"><center><b>'.__('Multiple match').'</b></center></td>
	<td colspan="3"><center><b>'.__('Single match').'</b></center></td>
	</tr>';
	echo '<tr>
	<td><b>'.__('Search phrase').'</b></td>
	<td><center><b>'.__('Count').'</b></center></td>
	<td><center><b>'.__('Articles').'</b></center></td>
	<td><center><b>'.__('Rubrics').'</b></center></td>
	<td><center><b>'.__('Count').'</b></center></td>
	<td><center><b>'.__('Articles').'</b></center></td>
	<td><center><b>'.__('Rubrics').'</b></center></td>
	<td><center><b>'.__('Count').'</b></center></td>
	<td><center><b>'.__('Articles').'</b></center></td>
	<td><center><b>'.__('Rubrics').'</b></center></td>
	</tr>';

	$textselect = "	SELECT nr,rubric_id,text FROM ".CPO_RUBRIC." AS r, ".CPO_NEWS." AS n  
					LEFT JOIN ".CPO_CONTENT_TEXT." AS t ON n.nr=t.article_id " . $where;
	$htmlselect = "	SELECT nr,rubric_id,html FROM ".CPO_RUBRIC." AS r, ".CPO_NEWS." AS n
					LEFT JOIN ".CPO_CONTENT_HTML." AS h ON n.nr=h.article_id " . $where;

	$searchPhrases = explode("\n",$searchPhrasesString);

	$numbering = 0;

	foreach ($searchPhrases AS $phrase)  {

		$phrase = trim($phrase);
		$numbering++;

		if (empty( $phrase )) continue;

		// Volltreffer auswerten
		$volltreffer = array();
		$artikelvolltreffer = array();
		$rubrikvolltreffer = array();

		$query = $textselect . "AND text LIKE '%".$phrase."%'";
		$db->query($query);
		while($db->next_record()) {
			$count = substr_count(mb_strtolower($db->v('text')),mb_strtolower($phrase));
			$volltreffer[$db->v('nr')] += $count;
			$artikelvolltreffer[$db->v('nr')] += ($count) ? 1 : 0;
			$rubrikvolltreffer[$db->v('rubric_id')] += ($count) ? 1 : 0;
		}
		$queryvoll = $query;

		$query = $htmlselect . "AND html LIKE '%".$phrase."%'";
		$db->query($query);
		while($db->next_record()) {
			$count = substr_count(mb_strtolower($db->v('html')),mb_strtolower($phrase));
			$volltreffer[$db->v('nr')] += $count;
			$artikelvolltreffer[$db->v('nr')] += ($count) ? 1 : 0;
			$rubrikvolltreffer[$db->v('rubric_id')] += ($count) ? 1 : 0;
		}

		// Mehrfachtreffer auswerten
		$mehrfachtreffer = array();
		$mehrfachartikeltreffer = array();
		$mehrfachrubriktreffer = array();

		$words = explode (' ',trim($phrase));
		$ANDtextphrase = implode ( "%' AND text LIKE '%",$words);
		$ANDhtmlphrase = implode ( "%' AND html LIKE '%",$words);

		$query = $textselect . "AND ( text LIKE '%".$ANDtextphrase."%' ) ";
		$db->query($query);
		while($db->next_record()) {
			foreach ($words AS $word)  {
				$count = substr_count(mb_strtolower($db->v('text')),mb_strtolower($word));
				$mehrfachtreffer[$db->v('nr')] += $count;
				$mehrfachartikeltreffer[$db->v('nr')] += ($count) ? 1 : 0;
				$mehrfachrubriktreffer[$db->v('rubric_id')] += ($count) ? 1 : 0;
			}
		}

		$query = $htmlselect . "AND ( html LIKE '%".$ANDhtmlphrase."%' )";
		$db->query($query);
		while($db->next_record()) {
			foreach ($words AS $word)  {
				$count = substr_count(mb_strtolower($db->v('html')),mb_strtolower($word));
				$mehrfachtreffer[$db->v('nr')] += $count;
				$mehrfachartikeltreffer[$db->v('nr')] += ($count) ? 1 : 0;
				$mehrfachrubriktreffer[$db->v('rubric_id')] += ($count) ? 1 : 0;
			}
		}


		// Einzeltreffer auswerten
		$einzeltreffer = array();
		$artikeltreffer = array();
		$rubriktreffer = array();

		$words = explode (' ',trim($phrase));
		$ORtextphrase = implode ( "%' OR text LIKE '%",$words);
		$ORhtmlphrase = implode ( "%' OR html LIKE '%",$words);

		$query = $textselect . "AND ( text LIKE '%".$ORtextphrase."%' ) ";
		$db->query($query);
		while($db->next_record()) {
			foreach ($words AS $word)  {
				$count = substr_count(mb_strtolower($db->v('text')),mb_strtolower($word));
				$einzeltreffer[$db->v('nr')] += $count;
				$artikeltreffer[$db->v('nr')] += ($count) ? 1 : 0;
				$rubriktreffer[$db->v('rubric_id')] += ($count) ? 1 : 0;
			}
		}

		$query = $htmlselect . "AND ( html LIKE '%".$ORhtmlphrase."%' )";
		$db->query($query);
		while($db->next_record()) {
			foreach ($words AS $word)  {
				$count = substr_count(mb_strtolower($db->v('html')),mb_strtolower($word));
				$einzeltreffer[$db->v('nr')] += $count;
				$artikeltreffer[$db->v('nr')] += ($count) ? 1 : 0;
				$rubriktreffer[$db->v('rubric_id')] += ($count) ? 1 : 0;
			}
		}


		// Ausgabe der Ergebnisse
		$outvolltreffer = (array_sum($volltreffer)) ? '<b>'.array_sum($volltreffer).'</b>' : 0;
		$outartikelvolltreffer = (array_sum($artikelvolltreffer)) ? array_sum($artikelvolltreffer).' ('.(int)(array_sum($artikelvolltreffer)/$cpo_counter_ArticleOnline*100).'%)' : 0;
		$outrubrikvolltreffer = (array_sum($rubrikvolltreffer)) ? array_sum($rubrikvolltreffer).' ('.(int)(array_sum($rubrikvolltreffer)/$cpo_counter_publicrubrics*100).'%)' : 0;
		$outmehrfachtreffer = (array_sum($mehrfachtreffer)) ? '<b>'.array_sum($mehrfachtreffer).'</b>' : 0;
		$outmehrfachartikeltreffer = (array_sum($mehrfachartikeltreffer)) ? array_sum($mehrfachartikeltreffer).' ('.(int)(array_sum($mehrfachartikeltreffer)/$cpo_counter_ArticleOnline*100).'%)' : 0;
		$outmehrfachrubriktreffer = (array_sum($mehrfachrubriktreffer)) ? array_sum($mehrfachrubriktreffer).' ('.(int)(array_sum($mehrfachrubriktreffer)/$cpo_counter_publicrubrics*100).'%)' : 0;
		$outeinzeltreffer = array_sum($einzeltreffer);
		$outartikeltreffer = array_sum($artikeltreffer);
		$outrubriktreffer = array_sum($rubriktreffer);
		$keywordlist[$numbering] = $phrase;
		$google_position = ($activeModules['SEO']['getGoogle']=="yes") ? ' ('.__('Google position').': <span id="keyword'.$numbering.'"><img src="load.gif" /></span>)' : '';
		echo '<tr><td><a href="http://www.google.de/search?q=' . $phrase  . '" title="'.__('Google search for this keyword').'" target="modSEOgoogle"><img src="google.png"></a> <a href="http://www.bing.com/search?q=' . $phrase  . '" title="'.__('Bing search for this keyword').'" target="modSEObing"><img src="bing.png"></a> ' . $phrase  
			. $google_position
			. '</td><td><center>' 
			. $outvolltreffer . '</center></td><td><center>' 
			. $outartikelvolltreffer . '</center></td><td><center>' 
			. $outrubrikvolltreffer . '</center></td><td><center>' 
			. $outmehrfachtreffer . '</center></td><td><center>' 
			. $outmehrfachartikeltreffer . '</center></td><td><center>' 
			. $outmehrfachrubriktreffer . '</center></td><td><center>' 
			. $outeinzeltreffer . '</center></td><td><center>' 
			. $outartikeltreffer . '</center></td><td><center>' 
			. $outrubriktreffer . '</center></td></tr>';
	//	echo '<tr><td colspan="10">'.$queryvoll.'</td></tr>';
		unset ($treffer);


	}

	echo '</table>';



	// Tabellenanfang
	echo '<table class="ruler" style="width:100%;page-break-before:always;">';
	echo '<tr><td><b>'.__('Rubric').'</b></td><td><center><b>'.__('Full match').'</b></center></td><td><center><b>'.__('Keywords').'</b></center></td><td><b>'.__('Search terms used').'</b></td>';
	if (version_compare($CPO['version'], '4.1.0') >= 0) echo '<td><b>'.__('Rubric description (max. 200 characters)').'</b></td><td><b>'.__('Rubric keywords').'</b></td>';
	echo '</tr>';

	// Rubrikeneinschrnkung
	$qrubrics = '';
	if (isset($activeModules['SEO']['rubrics']) && $activeModules['SEO']['rubricsUse'] != 'off') {
		$qrubrics = 'AND id '.$activeModules['SEO']['rubricsUse'].' (';
		$c = '';
		foreach ($activeModules['SEO']['rubrics'] as $v) {
			$qrubrics .= $c.(int)$v;
			$c = ', ';
		}
		$qrubrics .= ') ';
	}

	if (!isset($activeModules['SEO']['rubrics']) 
		&& $activeModules['SEO']['rubricsUse'] != 'off') {
		$qrubrics = 'AND id '.$activeModules['SEO']['rubricsUse'].' (0)';
	}

	$db2 = new DB;
	$db2->query('SELECT id, name, seclevel, settings FROM '.CPO_RUBRIC.' WHERE seclevel = 0 '.$qrubrics.' ORDER BY name');
	while ($db2->next_record()) {

		$rubricID = $db2->v('id');
		$rubricName = $db2->v('name');
		$rubricSettings = unserialize($db2->v('settings'));

		$where = " WHERE ".$articlestates." AND pub_datum < '".$jetzt."' AND verfallsdatum > '".$jetzt."' AND n.rubric_id = ".$rubricID.' ';

		$textselect = "	SELECT nr,rubric_id,text FROM ".CPO_NEWS." AS n  
						LEFT JOIN ".CPO_CONTENT_TEXT." AS t ON n.nr=t.article_id " . $where;
		$htmlselect = "	SELECT nr,rubric_id,html FROM ".CPO_NEWS." AS n
						LEFT JOIN ".CPO_CONTENT_HTML." AS h ON n.nr=h.article_id " . $where;

		$searchPhrases = explode("\n",$searchPhrasesString);

		$volltreffer = array();
		$phrasetreffer = array();

		foreach ($searchPhrases AS $phrase)  {

			$phrase = trim($phrase);

			$query = $textselect . "AND text LIKE '%".$phrase."%'";
			$db->query($query);
			while($db->next_record()) {
				$count = substr_count(mb_strtolower($db->v('text')),mb_strtolower($phrase));
				$volltreffer[$rubricID] += $count;
				$phrasetreffer[$phrase] = $phrase;
			}

			$query = $htmlselect . "AND html LIKE '%".$phrase."%'";
			$db->query($query);
			while($db->next_record()) {
				$count = substr_count(mb_strtolower($db->v('html')),mb_strtolower($phrase));
				$volltreffer[$rubricID] += $count;
				$phrasetreffer[$phrase] = $phrase;
			}

		}

		$phraseString = implode(", ",$phrasetreffer);
		$outvolltreffer = ($volltreffer[$rubricID]) ? '<b>'.$volltreffer[$rubricID].'</b>' : 0;
		echo '<tr><td>' . $rubricName  . '</td><td><center>' . $outvolltreffer . '</center></td><td><center>'.count($phrasetreffer).' von '.count($searchPhrases).'</center></td><td>' . $phraseString  . '</td>';
		if (version_compare($CPO['version'], '4.1.0') >= 0) {
			echo '<td>';
			if (strlen($rubricSettings['metaDescription'])) echo $rubricSettings['metaDescription'] . ' (' . strlen($rubricSettings['metaDescription']) . ' '.__('characters').')';
			echo ' <a href="../_admin/rubrics.php?action=rubrics_showsettings&id='.$rubricID.'">'.__('-edit').'</a>'.'</td><td>' . $rubricSettings['metaKeywords']  . ' <a href="../_admin/rubrics.php?action=rubrics_showsettings&id='.$rubricID.'">'.__('-edit').'</a>'.'</td>';
		}
		echo '</tr>';

	}



	echo '</table>'."\n";

	if ($activeModules['SEO']['getGoogle']=="yes") {
		echo '<!-- the AJAX-part -->'."\n";
		echo '<script type="text/javascript">'."\n";
		echo 'setRequest("pagerank","'.$homepage.'","","SEOpagerank");'."\n";
		for ($num=1;$num<=$numbering;$num++)
		{
			echo 'setTimeout(\'setRequest("position","'.$homepage.'","'.$keywordlist[$num].'","keyword'.$num.'")\','.($num*2).'000);'."\n";
		}
		echo '</script>'."\n";
	}
}


require(CPO_BASEDIR.'_include/footer.php');
?>
